Skip to main content
`Ctrl`+`K`

# FNView

Prints the `FN` data structure.

## Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNView(FN fn,PetscViewer viewer)

Collective

## Input Parameters

- fn - the math function context

- viewer - optional visualization context

## Note

The available visualization contexts include

- `PETSC_VIEWER_STDOUT_SELF` - standard output (default)

- `PETSC_VIEWER_STDOUT_WORLD` - synchronized standard output where only the first process opens the file; all other processes send their data to the first one to print

The user can open an alternative visualization context with `PetscViewerASCIIOpen()` to output to a specified file.

Use `FNViewFromOptions()` to allow the user to select many different `PetscViewerType` and formats from the options database.

## See Also

FN: Mathematical Functions, `FNCreate()`, `FNViewFromOptions()`

## Level

beginner

## Location

src/sys/classes/fn/interface/fnbasic.c

## Implementations

FNView_Combine() in src/sys/classes/fn/impls/combine/fncombine.c
FNView_Exp() in src/sys/classes/fn/impls/exp/fnexp.c
FNView_Invsqrt() in src/sys/classes/fn/impls/invsqrt/fninvsqrt.c
FNView_Log() in src/sys/classes/fn/impls/log/fnlog.c
FNView_Phi() in src/sys/classes/fn/impls/phi/fnphi.c
FNView_Rational() in src/sys/classes/fn/impls/rational/fnrational.c
FNView_Sqrt() in src/sys/classes/fn/impls/sqrt/fnsqrt.c

Index of all FN routines Table of Contents for all manual pages Index of all manual pages